
    <mat-card class="card-content">
        <mat-card-header class="card-header">
            <mat-card-title class="card-title">
              <mat-icon>person</mat-icon>
              Lista de Usuarios
            </mat-card-title>
            <div class="mat-card-header-actions">
              <button mat-raised-button color="primary" (click)="openCreateUserDialog(false)">
                <mat-icon>person_add</mat-icon>
                Añadir usuario
              </button>               
            </div>
          </mat-card-header>
          <mat-card-content>
            <table mat-table matSort [dataSource]="dataSource">
       
                <!-- ID type -->
                <ng-container matColumnDef="idType">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Tipo de identificación</th>
                  <td mat-cell *matCellDef="let element;">
                    <ng-container>
                        {{element.tipoId}}         
                    </ng-container>
                  </td>
                </ng-container>
            
                <!-- ID -->
                <ng-container matColumnDef="id">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>Identificación </th>
                  <td mat-cell *matCellDef="let element; let i = index;">
                    <ng-container>
                        {{element.identificacion}}
                    </ng-container>
                  </td>
                </ng-container>
            
                <!-- name Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>
                    Nombre</th>
                  <td mat-cell *matCellDef="let element; let i = index;">
                    <ng-container>
                        {{element.nombre}}
                    </ng-container>
                  </td>
                </ng-container>
            
                <!-- lastName Column -->
                <ng-container matColumnDef="lastName">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>Apellidos</th>
                  <td mat-cell *matCellDef="let element; let i = index;">
                    <ng-container>
                        {{element.apellidos}}
                    </ng-container>
                  </td>
                </ng-container>
            
                <!-- age Column -->
                <ng-container matColumnDef="age">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>Edad</th>
                  <td mat-cell *matCellDef="let element; let i = index;">
                    <ng-container>
                        {{element.edad}}
                    </ng-container>
                  </td>
                </ng-container>
            
                <!-- phone Column -->
                <ng-container matColumnDef="phone">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Telefono</th>
                    <td mat-cell *matCellDef="let element; let i = index;">
                      <ng-container>
                        {{element.telefono}}
                      </ng-container>
                    </td>
                  </ng-container>
            
                  <!-- direction Column -->
                <ng-container matColumnDef="direction">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Dirección</th>
                    <td mat-cell *matCellDef="let element; let i = index;">
                      <ng-container>
                        {{element.direccion}}
                      </ng-container>
                    </td>
                  </ng-container>
            
                <!-- Actions Column -->
                <ng-container matColumnDef="actions">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header></th>
                  <td mat-cell *matCellDef="let element; let i = index;">
                    <ng-container>
                      <button mat-icon-button (click)="openCreateUserDialog(true, element)"
                        matTooltip="Editar usuario">
                        <mat-icon>edit</mat-icon>
                      </button>
                      <button mat-icon-button (click)="deleteUser(element, i)">
                        <mat-icon>delete</mat-icon>
                      </button>
                    </ng-container>
                  </td>
                </ng-container>
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row class="element-row" *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
    
          </mat-card-content>
    
    </mat-card>



  